export interface PageConfigFileInterface {
    path: string;
    progress?: {
        "progress-percent": string;
        label: string;
    };
    typographies?: Array<{
        variant: string;
        text: string;
        style?: {
            [key: string]: null | string | number;
        };
    }>;
    thumbnails?: {
        img: {
            path: string;
            type: string;
            style?: {
                [key: string]: null | string | number;
            };
        };
    };
    button?: {
        base?: ButtonBase;
        select?: Array<ButtonBase>;
        multi_select?: Array<ButtonMultiSelect>;
        order?: Array<PossibleButtonTypes>;
    };
    formGroup?: any;
    order?: Array<PossibleBlockTypes>;
}
export declare type PossibleButtonTypes = 'base' | 'select' | 'multi_select';
export declare type PossibleBlockTypes = 'typographies' | 'button' | 'thumbnails' | 'formGroup';
export declare type ButtonMultiSelect = {
    label: string;
    type?: 'clear_button' | null;
    width?: string | number;
};
export declare type ButtonBase = {
    label: string;
    destinationPath?: string;
    width?: string | number;
    value?: string;
    event?: string;
};
