// node modules
import React, { FC } from 'react';

// local components
import { SimpleButton } from '../simple_button';

// local files
import { useStyles } from './styles';
import { theming } from "../../../theme";

export interface SelectButtonProps {
    label: string;
    selected?: boolean;
    className?: string;
    loading?: boolean;
    disabled?: boolean;
    children?: any;
    centered?: boolean;
    onClick?: () => any;
}

export const SelectButton: FC<SelectButtonProps> = ({
    className,
    selected = false,
    children,
    centered= false,
    ...otherProps
}) => {
    const { root, rootSelected } = useStyles({ theme: theming.useTheme() });
    const selectedClass =  selected ? rootSelected : '';
    const selectBtnClass = `${root} ${selectedClass} ${className}`;

    return (
        <SimpleButton centered={centered} className={selectBtnClass} {...otherProps}>
            {children}
        </SimpleButton>
    )
}